### Nice Ripple: A Customizable Ripple Effect Package for Flutter


Bring a touch of elegance to your Flutter app with Nice Ripple. This package allows you to easily add customizable ripple effects to your buttons, containers, and other widgets. It is easy to use and highly customizable, so you can make it look and feel just right for your app.

---
![Nice Ripple: A Customizable Ripple Effect Package for Flutter](https://user-images.githubusercontent.com/65107679/215160432-b87cf4ca-0690-436f-becc-a2284bee715b.gif)
---
## Using Nice Ripple

```dart
    NiceRipple(
        rippleColor: Colors.red,
        radius: 100,
        rippleShape: BoxShape.circle,
        duration: const Duration(seconds: 3),
        onTap: () {
          // your code here
        },
        child: const Text(
          "Nice Ripple",
          style: TextStyle(fontSize: 20),
        ),
      ),
```

#### Explore more properties
---
### Need Help?

If you need help in setting up the project or have any questions, feel free to reach out to me on [Twitter](https://twitter.com/tusharhow) or [LinkedIn](https://www.linkedin.com/in/tusharhow/)

---
### Social Media

[![Twitter Follow](https://img.shields.io/twitter/follow/tusharhow.svg?style=social)](https://twitter.com/tusharhow)
[![Linkedin: tusharhow](https://img.shields.io/badge/-tusharhow-blue?style=flat-square&logo=Linkedin&logoColor=white&link=https://www.linkedin.com/in/tusharhow/)](https://www.linkedin.com/in/tusharhow/)
![GitHub followers](https://img.shields.io/github/followers/tusharhow.svg?style=social&label=Follow)

---

## License
```
Copyright (c) 2023 Tushar Mahmud

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.